/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2021/06/06
* Description        : Main program body.
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* SPDX-License-Identifier: Apache-2.0
*******************************************************************************/

/*
 *@Note
 ڴӡ̣
 USART1_Tx(PA9)
 ʾʹ USART1(PA9) ӡԿ

*/

#include "debug.h"
#include "tim.h"


/* Global typedef */

/* Global define */

/* Global Variable */


/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *
 * @return  none
 */
int main(void)
{
    static u8 i=0;

	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
	Delay_Init();
	USART_Printf_Init(115200);
	LED_Init();
	TIM_CONF_Init();

	printf("SystemClk:%d\r\n",SystemCoreClock);
	printf("This is printf example\r\n");

	while(1)
    {
	    Delay_1ms();
	    GPIO_WriteBit(GPIOA, GPIO_Pin_1, (i==0) ? (i=Bit_SET):(i=Bit_RESET));
	}
}

