#include "tim.h"

void TIM6_IRQHandler(void) __attribute__((interrupt("WCH-Interrupt-fast")));


static __IO uint32_t TimingDelay;

//ӳٺ
void Delay_1us(void)
{
   TimingDelay = 0;
   while(TimingDelay != 0);
}

void Delay_1ms(void)
{
   TimingDelay = 999;
   while(TimingDelay != 0);
}

void LED_Init(void)
{
    GPIO_InitTypeDef  GPIO_InitStructure;                     //һGPIO_InitTypeDef͵Ľṹ

    RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA, ENABLE);     //ʹLEDصGPIO˿ʱ

    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_1;                 //GPIO
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;          //GPIOģʽΪ
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;         //GPIOٶ
    GPIO_Init(GPIOA, &GPIO_InitStructure);                    //ÿ⺯ʼGPIOA

    GPIO_SetBits(GPIOA,GPIO_Pin_1);                           //ߵƽ
}

void TIM_CONF_Init(void)
{
    TIM_TimeBaseInitTypeDef TIM_TimeBaseInitStructure={0};
    NVIC_InitTypeDef        NVIC_InitStructure={0};

    RCC_APB1PeriphClockCmd( RCC_APB1Periph_TIM6, ENABLE );

    TIM_TimeBaseInitStructure.TIM_Period = 2-1;
    TIM_TimeBaseInitStructure.TIM_Prescaler = 36-1;
    TIM_TimeBaseInitStructure.TIM_ClockDivision = TIM_CKD_DIV1;
    TIM_TimeBaseInitStructure.TIM_CounterMode = TIM_CounterMode_Up;
    TIM_TimeBaseInit( TIM6, &TIM_TimeBaseInitStructure);

    TIM_ITConfig(TIM6,TIM_IT_Update,ENABLE ); //ʹTIM6жϣж

    //ʼTIM NVICжȼ
    NVIC_InitStructure.NVIC_IRQChannel = TIM6_IRQn;           //TIM6ж
    NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0; //ռȼ0
    NVIC_InitStructure.NVIC_IRQChannelSubPriority = 3;        //Ӧȼ3
    NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;           //ʹͨ1ж
    NVIC_Init(&NVIC_InitStructure); //ʼNVIC

    TIM_Cmd( TIM6, ENABLE );
}

void TIM6_IRQHandler(void)
{
//    static u8 i=0;
    if(TIM_GetITStatus(TIM6, TIM_IT_Update) != RESET) //TIM6жǷ
    {
        if (TimingDelay != 0x00)
        {
            TimingDelay--;
        }
        TIM_ClearITPendingBit(TIM6,TIM_IT_Update);    //TIM6жϹλ
//        GPIO_WriteBit(GPIOA, GPIO_Pin_1, (i==0) ? (i=Bit_SET):(i=Bit_RESET));
    }

}
